Bug 543154 - Review Request: mingw32-SDL_mixer - Simple DirectMedia Layer's Sample Mixer Library
Summary: Review Request: mingw32-SDL_mixer - Simple DirectMedia Layer's Sample Mixer L...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 19:27 UTC by Stefan Riemens
Modified: 2010-11-19 22:37 UTC (History)
7 users (show)

Fixed In Version: mingw32-SDL_image-1.2.10-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 22:28:57 UTC
erik-fedora: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Stefan Riemens 2009-12-01 19:27:34 UTC
Spec URL: http://www.riemens.org/fs/temp/mingw32-SDL_mixer.spec
SRPM URL: http://www.riemens.org/fs/temp/mingw32-SDL_mixer-1.2.8-3.fc12.src.rpm
Description:
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

%{_mingw32_description}

Note: see also http://www.mail-archive.com/fedora-mingw@lists.fedoraproject.org/msg01505.html

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1841931

Thanks,
Stefan

Comment 1 Peter Lemenkov 2009-12-21 09:52:03 UTC
I visited upstream's site, and found that version 1.2.11 while you packaged 1.2.8. Is it intentional?

Comment 2 Peter Lemenkov 2009-12-21 09:52:40 UTC
(In reply to comment #1)
> I visited upstream's site, and found that version 1.2.11 while you packaged
> 1.2.8. Is it intentional?  

I mean, that 1.2.11 is available, while you packaged previous one. :)

Comment 3 Stefan Riemens 2009-12-21 11:39:04 UTC
Yes, that is intentional. The native package is also still stuck at 1.2.8, and according to the mingw pacakging guidelines, these versions should match. Thanks for looking at it though!

Comment 4 Jason Woofenden 2010-01-25 04:52:37 UTC
What is the status of getting this package into Fedora?

The SDL game I hack on uses SDL_mixer, so this package would make cross-compiling easy.

Comment 5 Stefan Riemens 2010-01-25 10:07:35 UTC
well, it's a matter of waiting on someone who wants to review it... Anyone?

Comment 6 Richard W.M. Jones 2010-01-25 10:07:35 UTC
Jason, we're waiting for someone to do a review.

http://fedoraproject.org/wiki/PackageMaintainers/Join#Create_Your_Review_Request

Comment 7 Erik van Pienbroek 2010-09-26 12:41:38 UTC
I'll take this for review if you update the package to version 1.2.11 first (the native package is also at that version)

Comment 8 Stefan Riemens 2010-09-27 06:44:31 UTC
Thanks for taking on the review!

Updated spec: http://riemens.mine.nu:8080/mingw32-SDL_mixer.spec
Updated srpm: http://riemens.mine.nu:8080/mingw32-SDL_mixer-1.2.11-0.fc13.src.rpm

Comment 9 Erik van Pienbroek 2010-09-27 10:52:07 UTC
Please don't use the release number 0, but start with 1. Other packages use release number 0 to indicate pre-releases, but as that isn't the case here you can start with 1.

I noticed you've used the %{_mingw32_debug_package} macro to generate a debuginfo subpackage. This is okay, but it requires an additional line at the top of the .spec file (other packages put it under the last %global line) :
%define __debug_install_post %{_mingw32_debug_install_post}

Libtool files (.la) need to be part of mingw32 packages, so please don't drop them

Comment 10 Erik van Pienbroek 2010-09-27 11:33:50 UTC
One other small thing, the %defattr line needs to be %defattr(-,root,root,-)

Comment 11 Stefan Riemens 2010-10-19 20:02:25 UTC
Updated versions:
http://riemens.mine.nu:8080/mingw32-SDL_mixer.spec (same location)
http://riemens.mine.nu:8080/mingw32-SDL_mixer-1.2.11-1.fc13.src.rpm

Thanks,
Stefan

Comment 12 Erik van Pienbroek 2010-10-19 21:02:44 UTC
$ rpmlint mingw32-SDL_mixer.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-SDL_mixer-1.2.11-1.fc14.src.rpm 
mingw32-SDL_mixer.src: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32-SDL_mixer-1.2.11-1.fc14.noarch.rpm 
mingw32-SDL_mixer.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This spelling error can be ignored


$ curl http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-1.2.11.tar.gz | md5sum
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 2627k  100 2627k    0     0   594k      0  0:00:04  0:00:04 --:--:--  648k
65ada3d997fe85109191a5fb083f248c  -
$ md5sum SDL_mixer-1.2.11.tar.gz 
65ada3d997fe85109191a5fb083f248c  SDL_mixer-1.2.11.tar.gz

$ rpmquery --requires mingw32-SDL_mixer
pkgconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 62
mingw32-runtime  
mingw32(kernel32.dll)  
mingw32(msvcrt.dll)  
mingw32(sdl.dll)  
rpmlib(PayloadIsXz) <= 5.2-1

$ rpmquery --provides mingw32-SDL_mixer
mingw32(sdl_mixer.dll)  
mingw32-SDL_mixer = 1.2.11-1.fc14

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2544216


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as B ildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[*] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[*] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[*] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[*] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


In the .spec file there are some libtool hacks to drop the use of rpaths, but
these hacks can be dropped as MinGW doesn't support rpath anyway.

=======================================================
 The package mingw32-SDL_mixer is APPROVED by epienbro
=======================================================

Comment 13 Stefan Riemens 2010-10-22 08:26:40 UTC
New Package SCM Request
=======================
Package Name: mingw32-SDL_mixer
Short Description: MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library
Owners: stefanriemens 
Branches: f13 f14
InitialCC: mingw-maint

Comment 14 Stefan Riemens 2010-10-25 19:36:44 UTC
As commented by Kevin in this review request (https://bugzilla.redhat.com/show_bug.cgi?id=543147), please use the scm request below. mingw-maint is not a valid FAS account...

Sorry for the noise.

Comment 15 Stefan Riemens 2010-10-25 19:37:01 UTC
New Package SCM Request
=======================
Package Name: mingw32-SDL_mixer
Short Description: MinGW Windows port of Simple DirectMedia Layer's Sample
Mixer Library
Owners: stefanriemens 
Branches: f13 f14
InitialCC:

Comment 16 Jens Petersen 2010-10-28 08:51:50 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2010-11-09 10:26:33 UTC
mingw32-SDL_image-1.2.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-SDL_image-1.2.10-1.fc14

Comment 18 Fedora Update System 2010-11-09 10:45:49 UTC
mingw32-SDL_mixer-1.2.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-SDL_mixer-1.2.11-1.fc14

Comment 19 Fedora Update System 2010-11-09 10:52:02 UTC
mingw32-SDL_mixer-1.2.11-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mingw32-SDL_mixer-1.2.11-1.fc13

Comment 20 Fedora Update System 2010-11-10 01:06:34 UTC
mingw32-SDL_image-1.2.10-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-SDL_image'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-SDL_image-1.2.10-1.fc14

Comment 21 Fedora Update System 2010-11-19 22:28:50 UTC
mingw32-SDL_mixer-1.2.11-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-11-19 22:29:48 UTC
mingw32-SDL_mixer-1.2.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-11-19 22:37:49 UTC
mingw32-SDL_image-1.2.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.